Open CASCADE Technology: TopOpeBRepDS_Interference Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepDS_Interference Class Reference

An interference is the description of the attachment of a new geometry on a geometry. For example an intersection point on an Edge or on a Curve. More...

`#include <TopOpeBRepDS_Interference.hxx>`

Inheritance diagram for TopOpeBRepDS_Interference:
[legend]

## Public Member Functions
| TopOpeBRepDS_Interference ()
| TopOpeBRepDS_Interference (const TopOpeBRepDS_Transition &Transition, const TopOpeBRepDS_Kind SupportType, const Standard_Integer Support, const TopOpeBRepDS_Kind GeometryType, const Standard_Integer Geometry)
| TopOpeBRepDS_Interference (const Handle< TopOpeBRepDS_Interference > &I)
const TopOpeBRepDS_Transition & | Transition () const
TopOpeBRepDS_Transition & | ChangeTransition ()
void | Transition (const TopOpeBRepDS_Transition &T)
void | GKGSKS (TopOpeBRepDS_Kind &GK, Standard_Integer &G, TopOpeBRepDS_Kind &SK, Standard_Integer &S) const
| return GeometryType + Geometry + SupportType + Support More...
TopOpeBRepDS_Kind | SupportType () const
Standard_Integer | Support () const
TopOpeBRepDS_Kind | GeometryType () const
Standard_Integer | Geometry () const
void | SetGeometry (const Standard_Integer GI)
void | SupportType (const TopOpeBRepDS_Kind ST)
void | Support (const Standard_Integer S)
void | GeometryType (const TopOpeBRepDS_Kind GT)
void | Geometry (const Standard_Integer G)
Standard_Boolean | HasSameSupport (const Handle< TopOpeBRepDS_Interference > &Other) const
Standard_Boolean | HasSameGeometry (const Handle< TopOpeBRepDS_Interference > &Other) const
Standard_OStream & | DumpG (Standard_OStream &OS) const
Standard_OStream & | DumpS (Standard_OStream &OS) const
virtual Standard_OStream & | Dump (Standard_OStream &OS) const
Standard_OStream & | Dump (Standard_OStream &OS, const TCollection_AsciiString &s1, const TCollection_AsciiString &s2) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

An interference is the description of the attachment of a new geometry on a geometry. For example an intersection point on an Edge or on a Curve.

The Interference contains the following data :

- Transition : How the interference separates the existing geometry in INSIDE and OUTSIDE.
- SupportType : Type of the object supporting the interference. (FACE, EDGE, VERTEX, SURFACE, CURVE).
- Support : Index in the data structure of the object supporting the interference.
- GeometryType : Type of the geometry of the interference (SURFACE, CURVE, POINT).
- Geometry : Index in the data structure of the geometry.

## Constructor & Destructor Documentation

TopOpeBRepDS_Interference::TopOpeBRepDS_Interference | ( |  | ) |

TopOpeBRepDS_Interference::TopOpeBRepDS_Interference | ( | const TopOpeBRepDS_Transition & | Transition,
|  | const TopOpeBRepDS_Kind | SupportType,
|  | const Standard_Integer | Support,
|  | const TopOpeBRepDS_Kind | GeometryType,
|  | const Standard_Integer | Geometry
| ) |  |

TopOpeBRepDS_Interference::TopOpeBRepDS_Interference | ( | const Handle< TopOpeBRepDS_Interference > & | I | ) |

## Member Function Documentation

TopOpeBRepDS_Transition& TopOpeBRepDS_Interference::ChangeTransition | ( |  | ) |

virtual Standard_OStream& TopOpeBRepDS_Interference::Dump | ( | Standard_OStream & | OS | ) | const
| virtual

Reimplemented in TopOpeBRepDS_ShapeShapeInterference, TopOpeBRepDS_EdgeVertexInterference, TopOpeBRepDS_SurfaceCurveInterference, TopOpeBRepDS_CurvePointInterference, TopOpeBRepDS_FaceEdgeInterference, and TopOpeBRepDS_SolidSurfaceInterference.

Standard_OStream& TopOpeBRepDS_Interference::Dump | ( | Standard_OStream & | OS,
|  | const TCollection_AsciiString & | s1,
|  | const TCollection_AsciiString & | s2
| ) |  | const

Standard_OStream& TopOpeBRepDS_Interference::DumpG | ( | Standard_OStream & | OS | ) | const

Standard_OStream& TopOpeBRepDS_Interference::DumpS | ( | Standard_OStream & | OS | ) | const

Standard_Integer TopOpeBRepDS_Interference::Geometry | ( |  | ) | const

void TopOpeBRepDS_Interference::Geometry | ( | const Standard_Integer | G | ) |

TopOpeBRepDS_Kind TopOpeBRepDS_Interference::GeometryType | ( |  | ) | const

void TopOpeBRepDS_Interference::GeometryType | ( | const TopOpeBRepDS_Kind | GT | ) |

void TopOpeBRepDS_Interference::GKGSKS | ( | TopOpeBRepDS_Kind & | GK,
|  | Standard_Integer & | G,
|  | TopOpeBRepDS_Kind & | SK,
|  | Standard_Integer & | S
| ) |  | const

return GeometryType + Geometry + SupportType + Support

Standard_Boolean TopOpeBRepDS_Interference::HasSameGeometry | ( | const Handle< TopOpeBRepDS_Interference > & | Other | ) | const

Standard_Boolean TopOpeBRepDS_Interference::HasSameSupport | ( | const Handle< TopOpeBRepDS_Interference > & | Other | ) | const

void TopOpeBRepDS_Interference::SetGeometry | ( | const Standard_Integer | GI | ) |

Standard_Integer TopOpeBRepDS_Interference::Support | ( |  | ) | const

void TopOpeBRepDS_Interference::Support | ( | const Standard_Integer | S | ) |

TopOpeBRepDS_Kind TopOpeBRepDS_Interference::SupportType | ( |  | ) | const

void TopOpeBRepDS_Interference::SupportType | ( | const TopOpeBRepDS_Kind | ST | ) |

const TopOpeBRepDS_Transition& TopOpeBRepDS_Interference::Transition | ( |  | ) | const

void TopOpeBRepDS_Interference::Transition | ( | const TopOpeBRepDS_Transition & | T | ) |

The documentation for this class was generated from the following file:

- TopOpeBRepDS_Interference.hxx